Subject: 30.0.50; ffap-rfs-regexp docstring and :type mismatch

From: Mauro Aranda <[email-masked]>
Date: Sat, 2 Sep 2023 08:40:08 -0300

Docstring for ffap-rfs-regexp says "...Use nil to disable", but its
:type doesn't allow for the nil value, as it does for similar options
ffap-ftp-regexp and ffap-shell-prompt-regexp.